Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.xquery
Interface XQItem

All Superinterfaces:
  XQItemAccessor

All Known Subinterfaces:
  XQResultItem

All Known Implementing Classes:
  SaxonXQItem

    public interface XQItem

extends XQItemAccessor

This interface represents an item in the XDM.

Method Summary
`void` | `close()` Close the item and release all the resources associated with this item.
`boolean` | `isClosed()` Checks if the item is closed.

Methods inherited from interface javax.xml.xquery.XQItemAccessor
`getAtomicValue, getBoolean, getByte, getDouble, getFloat, getInt, getItemAsStream, getItemAsString, getItemType, getLong, getNode, getNodeUri, getObject, getShort, instanceOf, writeItem, writeItem, writeItemToResult, writeItemToSAX`

Method Detail

### close

    void close()
               throws XQException

  Close the item and release all the resources associated with this item. No method other than the `isClosed` or `close` method may be called once the item is closed. Calling close on an `XQItem` object that is already closed has no effect.

  Throws:
    `XQException` - if there is an error during closing the item

### isClosed

    boolean isClosed()

  Checks if the item is closed.

  Returns:
    `boolean` `true` if the item is in a closed state, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.